/*////////////////////////////////////////////////////////////////////////////
    PROJECT:    Trailer Remote
    COPYRIGHT    2010 Dean J. Boman

    FILE:       Compiler.h
    AUTHOR:     Dean J. Boman

    OVERVIEW:
		This include file contains various complier definations that are unique to
		this project.

    REVISION HISTORY:

    Sept. 13, 2010	Initial development based on APRS Transmitter code base
	Oct. 18, 2010	Adjust port assignments based on integration results
	Jan. 7, 2014	Update for new trailer



*/////////////////////////////////////////////////////////////////////////////
#ifndef COMPILER_H
#define COMPILER_H

	#include <stdio.h>
	#include <stdlib.h>
	#include <string.h>
		
	// All PIC18 processors
	#include <p18cxxx.h>		//This brings in #include <p18f2620.h>

	#define CLOCK_FREQ			(32000000)      // Hz
	#define INSTR_FREQ			(CLOCK_FREQ/4)



	// I/O pins
	#define ONE_SEC_LED_TRIS	(TRISBbits.TRISB4)
	#define ONE_SEC_LED			(PORTBbits.RB4)

	#define RIGHT_REAR_CS_TRIS	(TRISCbits.TRISC0)
	#define RIGHT_REAR_CS		(PORTCbits.RC0)
	
	#define LEFT_REAR_CS_TRIS	(TRISCbits.TRISC1)
	#define LEFT_REAR_CS		(PORTCbits.RC1)

	#define RIGHT_FRONT_CS_TRIS	(TRISBbits.TRISB0)
	#define RIGHT_FRONT_CS		(PORTBbits.RB0)
	
	#define LEFT_FRONT_CS_TRIS	(TRISBbits.TRISB1)
	#define LEFT_FRONT_CS		(PORTBbits.RB1)

	#define SCL_TRIS			(TRISCbits.TRISC3)
	#define SCL_EN				(PORTCbits.RC3)
	#define SDO_TRIS			(TRISCbits.TRISC5)
	#define SDO_EN				(PORTCbits.RC5)
	#define SDI_TRIS			(TRISCbits.TRISC4)
	#define SDI_EN				(PORTCbits.RC4)


#endif