/*////////////////////////////////////////////////////////////////////////////
    PROJECT:    Trailer Remote
    COPYRIGHT    2010 Dean J. Boman

    FILE:       Compiler.h
    AUTHOR:     Dean J. Boman

    OVERVIEW:
		This include file contains various complier definations that are unique to
		this project.

    REVISION HISTORY:

    Sept. 13, 2010	Initial development based on APRS Transmitter code base
	Oct. 25, 2010	Update based on unique board design



*/////////////////////////////////////////////////////////////////////////////
#ifndef COMPILER_H
#define COMPILER_H

	#include <stdio.h>
	#include <stdlib.h>
	#include <string.h>
		
	// All PIC18 processors
	#include <p18cxxx.h>		//This brings in #include <p18f2620.h>

	#define CLOCK_FREQ			(32000000)      // Hz
	#define INSTR_FREQ			(CLOCK_FREQ/4)

	#define Delay10us(us)		Delay10TCYx(((INSTR_FREQ/1000000)*us))
	#define DelayMs(ms)			Delay1KTCYx((((INSTR_FREQ/1000)*ms)/1000))

	// I/O pins
	#define ONE_SEC_LED_TRIS	(TRISBbits.TRISB3)
	#define ONE_SEC_LED			(PORTBbits.RB3)

	#define ALARM_TRIS			(TRISBbits.TRISB4)
	#define ALARM				(PORTBbits.RB4)

	#define RS_IO_TRIS			(TRISAbits.TRISA5)
	#define RS_IO				(PORTAbits.RA5)

	#define RW_IO_TRIS			(TRISAbits.TRISA6)
	#define RW_IO				(PORTAbits.RA6)

	#define E_IO_TRIS			(TRISAbits.TRISA4)
	#define E_IO				(PORTAbits.RA4)

	#define MODE_TRIS			(TRISAbits.TRISA3)
	#define MODE_IO				(PORTAbits.RA3)

#endif