
/*////////////////////////////////////////////////////////////////////////////
    PROJECT:    Trailer Display
    COPYRIGHT    2010 Dean J. Boman

    FILE:       Display.c
    AUTHOR:     Dean J. Boman

    OVERVIEW:
        Provides the interface to the LCD display


    REVISION HISTORY:

    Oct. 18, 2010	Import from Battery Monitor
	Oct. 19, 2010	Initial modes for trailer display
	Jan. 8, 2013	Update for new trailer



*/////////////////////////////////////////////////////////////////////////////
#ifndef DISPLAY_H
#define DISPLAY_H

void Reset_display(void);
void Write_command(uint8 Command);
void Write_data(uint8 Data);
void ConfigDataPortOut(void);
void ConfigDataPortIn(void);
void WriteDataPort(uint8 Data);
void Write_test_message(void);
uint8 ReadDataPort(void);
void Write_temperature(uint8 LeftTemperature, uint8 RightTemperature);
void Write_vibration(uint8 RightDisplayBlocks, uint8 LeftDisplayBlocks, uint8 LimitDisplayBlocks, boolean FrontFlag);
#endif